Get the Dropbox connection status

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.usehearsay.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "integrations MCP server": {
    "url": "https://docs.usehearsay.com/mcp"
  }
}

Close
GET /legal/dropbox/status

Returns whether the Dropbox integration is turned on (enabled) and whether the organization has an active Dropbox connection, with the Dropbox account id and when it was connected. enabled can be false for an organization that is still connected. Requires a member role or above in the organization.

Headers

  • organization string Required

    id of the selected (active) organization

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • data object Required
      Hide data attributes Show data attributes object
      • enabled boolean
      • connected boolean
      • remoteAccountId string | null

        Present when connected.

      • connectedAt string(date-time)

        Present when connected.

    • statusCode number Required
    • timestamp string(date-time) Required
GET /legal/dropbox/status
curl \
 --request GET 'http://api.example.com/legal/dropbox/status' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "organization: string"
Response examples (200)
{
  "data": {
    "enabled": true,
    "connected": true,
    "remoteAccountId": "dbid:AAH4f99T0taONIb-OurWxbNQ6ywGRopQngc",
    "connectedAt": "2026-01-15T10:15:00.000Z"
  },
  "statusCode": 200,
  "timestamp": "2026-01-15T10:15:00.000Z"
}